%define upstream_name    Struct-Compare
%define upstream_version 1.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Recursive diff for perl structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Struct/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Compares two values of any type and structure and returns true if they are
the same. It does a deep comparison of the structures, so a hash of a hash
of a whatever will be compared correctly.

This is especially useful for writing unit tests for your modules!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.1-7.mga6
+ Revision: 1033467
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-6.mga6
+ Revision: 946062
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 748449
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 686261
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 514712
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 372883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 kharec <kharec> 1.0.1-1.mga2
+ Revision: 169151
- imported package perl-Struct-Compare


* Sat Nov 19 2011 cpan2dist 1.0.1-1mga
- initial mageia release, generated with cpan2dist
